%global debug_package %{nil}
%define devname %mklibname %{name} -d

Name:           sparsehash
Version:        2.0.4
Release:        %mkrel 2
Summary:        Extremely memory-efficient C++ hash_map implementation

Group:          Development/Other
License:        BSD
URL:            https://github.com/sparsehash/sparsehash/
Source0:        https://github.com/sparsehash/sparsehash/archive/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake

%description
The Google SparseHash project contains several C++ template hash-map
implementations with different performance characteristics, including
an implementation that optimizes for space and one that optimizes for
speed.

%package -n     %{devname}
Summary:        Extremely memory-efficient C++ hash_map implementation
Group:          Development/Other

%description -n %{devname}
The Google SparseHash project contains several C++ template hash-map
implementations with different performance characteristics, including
an implementation that optimizes for space and one that optimizes for
speed.

%prep
%setup -q -n sparsehash-sparsehash-%{version}

%build
%{__perl} -i -lpe 's/2\.0\.2/%{version}/ if /^AC_INIT\(/' configure.ac
autoreconf -s -i
%configure
%make_build

%install
%make_install

# Remove unneeded files
rm %{buildroot}%{_docdir}/%{name}-%{version}/INSTALL
rm %{buildroot}%{_docdir}/%{name}-%{version}/README_windows.txt

%check
make check

%files -n %{devname}
%doc %{_docdir}/%{name}-%{version}
%{_includedir}/google/
%{_includedir}/sparsehash/
%{_libdir}/pkgconfig/libsparsehash.pc


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 2.0.4-2.mga9
+ Revision: 1793457
- Mageia 9 Mass Rebuild

* Wed Mar 10 2021 daviddavid <daviddavid> 2.0.4-1.mga9
+ Revision: 1701026
- new version: 2.0.4

* Fri Feb 14 2020 umeabot <umeabot> 2.0.3-3.mga8
+ Revision: 1517148
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.3-2.mga7
+ Revision: 1301129
- Mageia 7 Mass Rebuild

* Wed May 16 2018 shlomif <shlomif> 2.0.3-1.mga7
+ Revision: 1229908
- New version 2.0.3
- spec cleanups

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.0.2-1.mga7
+ Revision: 918572
- adapt fedora spec to mageia
- imported package sparsehash


* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 14 2014 Jan Grulich <jgrulich@redhat.com> - 2.0.2-1
- Update to 2.0.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Ville Skyttä <ville.skytta@iki.fi> - 1.12-5
- Install docs to %%{_pkgdocdir} where available (#994101).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 21 2012 Kalev Lember <kalevlember@gmail.com> - 1.12-1
- Update to 1.12
- Corrected the download URL

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Kalev Lember <kalev@smartlink.ee> - 1.11-1
- Update to 1.11
- Cleaned up the spec file for modern rpmbuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Kalev Lember <kalev@smartlink.ee> - 1.10-1
- Update to 1.10

* Fri Dec 17 2010 Kalev Lember <kalev@smartlink.ee> - 1.9-1
- Update to 1.9
- Added libsparsehash.pc pkgconfig file
- The -devel subpackage is no longer noarch as the new .pc file
  needs to go in arch-specific _libdir

* Thu Aug 05 2010 Kalev Lember <kalev@smartlink.ee> - 1.8.1-1
- Update to 1.8.1

* Sat Jul 03 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-3
- Marked -devel as noarch, thanks to Chen Lei (#609728)

* Sat Jul 03 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-2
- Move all files to -devel (#609728)

* Thu Jul 01 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-1
- Initial RPM release
